# From GitLab tag: https://gitlab.com/LibreGames/jumpnbump/tags
%global uploadhash 95acdae2a232513f068e260977371dcf

Name:           jumpnbump
Version:        1.61
Release:        %mkrel 5
Summary:        Cute multiplayer platform game with bunnies
Group:          Games/Arcade
License:        GPLv2+
URL:            https://gitlab.com/LibreGames/jumpnbump
Source0:        https://gitlab.com/LibreGames/jumpnbump/uploads/%{uploadhash}/%{name}-%{version}.tar.xz
Patch0:         jumpnbump-git-fix-gcc-10.patch

BuildRequires:  bzip2-devel
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(zlib)

# For music support, dlopen()'ed by SDL2_mixer
Requires:       %{_lib}modplug1

Recommends:     %{name}-menu

%description
Jump 'n Bump is a cute multiplayer platform game in which you, as a bunny,
have to jump on your opponents to make them explode. It is a true multiplayer
game with network support and shouldn't be played alone, although computer
bunnies with limited AI are available. The game is a UNIX port of the old DOS
game by Brainchild Design.

%package menu
Summary:        Level selection and config menu for the Jump 'n Bump game
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}
Requires:       imagemagick
Requires:       python3dist(pygobject)

%description menu
Python 3/GTK+3 based level selection and configuration interface for the Jump 'n
Bump game.

%prep
%autosetup -p1

%build
%global build_opts PREFIX=%{_prefix} BINDIR=%{_gamesbindir} GAMEDATADIR=%{_gamesdatadir}
%set_build_flags
%make_build %{build_opts}
%make_build %{build_opts} -C menu

%install
%make_install %{build_opts}
%make_install %{build_opts} -C menu

%find_lang %{name}-menu

%files
%doc AUTHORS ChangeLog docs/* README.md
%license COPYING
%{_gamesbindir}/%{name}
%{_gamesbindir}/gobpack
%{_gamesbindir}/jnb*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/jumpbump.dat
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/%{name}.png
%{_mandir}/man6/%{name}.6*

%files menu -f %{name}-menu.lang
%doc menu/README.md
%license COPYING
%{_gamesbindir}/%{name}-menu
%{_gamesdatadir}/%{name}/%{name}_menu.glade
%{_datadir}/applications/%{name}-menu.desktop


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.61-5.mga10
+ Revision: 2213837
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 1.61-4.mga9
+ Revision: 1839903
- Mageia 9 Mass Rebuild

* Sat Oct 24 2020 akien <akien> 1.61-3.mga8
+ Revision: 1639083
- Fix build with GCC 10

* Sun Feb 16 2020 umeabot <umeabot> 1.61-2.mga8
+ Revision: 1530529
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Mon Sep 02 2019 akien <akien> 1.61-1.mga8
+ Revision: 1436260
- Version 1.61

* Sun Sep 23 2018 umeabot <umeabot> 1.60-5.mga7
+ Revision: 1298405
- Mageia 7 Mass Rebuild

* Mon Jun 26 2017 akien <akien> 1.60-4.mga6
+ Revision: 1108496
- Attempt at fixing parallel build

* Fri Jun 02 2017 akien <akien> 1.60-3.mga6
+ Revision: 1105857
- Add missing dependencies libmodplug1 (for music) and pygtk2.0-libglade
- Backport two upstream packaging enhancements (python shebang and appdata file)

* Sat May 27 2017 akien <akien> 1.60-2.mga6
+ Revision: 1105173
- Package more docs and license terms

* Wed May 24 2017 akien <akien> 1.60-1.mga6
+ Revision: 1104457
- Version 1.60

* Fri May 19 2017 akien <akien> 1.60-0.20170519.3.mga6
+ Revision: 1103391
- Fix bogus requires in jumpnbump-menu, and make it noarch

* Fri May 19 2017 akien <akien> 1.60-0.20170519.2.mga6
+ Revision: 1103253
- Disable parallel build completely
- Sync with upstream 20170519, adds jumpnbump-menu subpackage

* Wed May 17 2017 akien <akien> 1.60-0.20170516.1.mga6
+ Revision: 1102304
- Snapshot 20170516

* Wed Apr 19 2017 akien <akien> 1.60-0.20170411.4.mga6
+ Revision: 1096845
- Limit number of jobs for parallel build
- Another attempt to fix parallel building
- Attempt at fixing dependency ordering
- imported package jumpnbump

